> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/common-dialogs/wisej.web.filedialogloadpatheventargs.md).

# FileDialogLoadPathEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the LoadPath event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FileDialogLoadPathEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FileDialogLoadPathEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

Allows an application to filter the files and folders loaded by the [FileDialog](/api/wisej.web/common-dialogs/wisej.web.filedialog.md) and [FolderBrowserDialog](/api/wisej.web/common-dialogs/wisej.web.folderbrowserdialog.md) components and to set the icon, creation date and modified date. To skip a file or folder, set e.Cancel = true. To set a file's icon, or date, set the [ImageSource](#imagesource), [CreationTime](#creationtime) or [LastWriteTime](#lastwritetime) properties.

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) FileDialogLoadPathEventArgs(path, isDirectory)

Constructs a new instance of [FileDialogLoadPathEventArgs](/api/wisej.web/common-dialogs/wisej.web.filedialogloadpatheventargs.md).

| Name            | Type                                                            | Description                                   |
| --------------- | --------------------------------------------------------------- | --------------------------------------------- |
| **path**        | [String](https://docs.microsoft.com/dotnet/api/system.string)   | Path of the file or directory.                |
| **isDirectory** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) | Indicates that the *path* is for a directory. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CreationTime

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Sets the creation DateTime of the file.

### ![](/files/hsR4ok3152WyAf8J2C1u) FileSize

[Int64](https://docs.microsoft.com/dotnet/api/system.int64): Sets the file size in bytes.

### ![](/files/hsR4ok3152WyAf8J2C1u) ImageSource

[String](https://docs.microsoft.com/dotnet/api/system.string): Sets the name or path of the icon to display next to the file.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsDirectory

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns true when the [Path](#path) refers to a directory.

### ![](/files/hsR4ok3152WyAf8J2C1u) LastWriteTime

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Sets the last modified DateTime of the file.

### ![](/files/hsR4ok3152WyAf8J2C1u) Path

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the full path of the file or folder being loaded.

## Used By

| Name                                                                                                        | Description                                                                                                                  |
| ----------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| [FileDialogLoadPathEventHandler](/api/wisej.web/common-dialogs/wisej.web.filedialogloadpatheventhandler.md) | Represents the method that will handle the [LoadPath](/api/wisej.web/common-dialogs/wisej.web.filedialog.md#loadpath) event. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/common-dialogs/wisej.web.filedialogloadpatheventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
